| Home | Libraries | People | FAQ | More

##### basic_raw_socket::basic_raw_socket (4 of 4 overloads)

Construct a basic_raw_socket on an existing native socket.

    basic_raw_socket(
        boost::asio::io_service & io_service,
        const protocol_type & protocol,
        const native_type & native_socket);

This constructor creates a raw socket object to hold an existing native socket.

###### Parameters

io_service

  The io_service object that the raw socket will use to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

native_socket

  The new underlying socket implementation.

###### Exceptions

boost::system::system_error

  Thrown on failure.